org.apache.lucene.store

## Class MockLockFactoryWrapper

- java.lang.Object
- - org.apache.lucene.store.LockFactory
  - - org.apache.lucene.store.MockLockFactoryWrapper

-     public class MockLockFactoryWrapper
      extends LockFactory

  Used by MockDirectoryWrapper to wrap another factory and track open locks.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.store.LockFactory

      `lockPrefix`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockLockFactoryWrapper(MockDirectoryWrapper dir, LockFactory delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearLock(String lockName)`
    `String` | `getLockPrefix()`
    `Lock` | `makeLock(String lockName)`
    `void` | `setLockPrefix(String lockPrefix)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MockLockFactoryWrapper

          public MockLockFactoryWrapper(MockDirectoryWrapper dir,
                                LockFactory delegate)

  - ### Method Detail

    - #### setLockPrefix

          public void setLockPrefix(String lockPrefix)

      Overrides:
        `setLockPrefix` in class `LockFactory`

    - #### getLockPrefix

          public String getLockPrefix()

      Overrides:
        `getLockPrefix` in class `LockFactory`

    - #### makeLock

          public Lock makeLock(String lockName)

      Specified by:
        `makeLock` in class `LockFactory`

    - #### clearLock

          public void clearLock(String lockName)
                         throws IOException

      Specified by:
        `clearLock` in class `LockFactory`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.